Last Comment Bug 702792 - Port |Bug 700201 - Addons that haven't been updated for an extremely long time should not be compatible by default|
: Port |Bug 700201 - Addons that haven't been updated for an extremely long tim...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.8
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on: 700201
Blocks: 728651
  Show dependency treegraph
 
Reported: 2011-11-15 14:55 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2012-03-07 13:52 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
patch [Checkin: comment 8] (1.43 KB, patch)
2011-11-15 14:55 PST, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
bugspam.Callek: approval‑comm‑aurora+
Details | Diff | Splinter Review
enable compatible-by-default [Checkin: comments 9 and 12] (1.07 KB, patch)
2011-11-18 13:38 PST, Jens Hatlak (:InvisibleSmiley)
iann_bugzilla: review+
philip.chee: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2011-11-15 14:55:51 PST
Created attachment 574700 [details] [diff] [review]
patch [Checkin: comment 8]

This copies two prefs recently introduced by FF in preparation for "compatible by default" extensions, namely:
* extensions.strictCompatibility
* extensions.minCompatibleAppVersion

I copied the former 1:1 which means that the feature is disabled for now and the comment points at the bug which will flip it for FF (which we should depend on, too). The pref was introduced for FF in bug 693901.

FF chose "4.0" for the latter, which matches "2.1" for SM. I think this choice is sensible since not much has changed for us since then, but much changed before that (SM 2.0 didn't make full use of Places etc.). Also, the global pref extensions.minCompatiblePlatformVersion is set to "2.0" which matches that choice.

Both prefs have already made it to Aurora (or, in case of the latter, have received a positive Aurora approval flag) which matches FF's desire to enable the feature for FF 10.
Comment 1 Jens Hatlak (:InvisibleSmiley) 2011-11-15 14:56:40 PST
Heh, I even copied the typos. ;-)
Comment 2 Justin Wood (:Callek) 2011-11-15 20:16:16 PST
Comment on attachment 574700 [details] [diff] [review]
patch [Checkin: comment 8]

Based on the approval-request comment, I approve this. don't have the time to actually review in the short-term, but the choices as to min Version, etc. sounds sane.
Comment 3 Jens Hatlak (:InvisibleSmiley) 2011-11-18 01:56:45 PST
Actually, bug 698653 was just fixed (but not ported to or explicitly requested for Aurora yet), activating compatible-by-default on trunk. I'll provide an additional patch for the below unless bug 698653 gets ported to Aurora really quickly (in which case I'll replace the existing patch here).

-// Enables strict compatibility. To be toggled in bug 698653, to make addons
-// compatibile by default.
-pref("extensions.strictCompatibility", true);
+// Disables strict compatibility, making addons compatible-by-default.
+pref("extensions.strictCompatibility", false);
Comment 4 Jens Hatlak (:InvisibleSmiley) 2011-11-18 13:38:47 PST
Created attachment 575544 [details] [diff] [review]
enable compatible-by-default [Checkin: comments 9 and 12]
Comment 5 Ian Neal 2011-11-22 16:30:25 PST
Comment on attachment 574700 [details] [diff] [review]
patch [Checkin: comment 8]

># HG changeset patch
># Parent 99d3461b94890e32d57a90d0b044322007f172fd
># User Jens Hatlak <jh@junetz.de>
>diff --git a/suite/browser/browser-prefs.js b/suite/browser/browser-prefs.js
>--- a/suite/browser/browser-prefs.js
>+++ b/suite/browser/browser-prefs.js
>@@ -543,16 +543,24 @@ pref("app.update.showInstalledUI", false
> //     versions.
> pref("app.update.incompatible.mode", 0);
> 
> // Extension preferences
> 
> // Enables some extra Extension System Logging (can reduce performance)
> pref("extensions.logging.enabled", false);
> 
>+// Enables strict compatibility. To be toggled in bug 698653, to make addons
Should we mention this bug number, our bug number or both?
>+// compatibile by default.
>+pref("extensions.strictCompatibility", true);
r=me with that answered/addressed
Comment 6 Ian Neal 2011-11-22 16:31:57 PST
Comment on attachment 575544 [details] [diff] [review]
enable compatible-by-default [Checkin: comments 9 and 12]

As per previous comment.
Comment 7 Jens Hatlak (:InvisibleSmiley) 2011-11-25 16:26:38 PST
(In reply to Ian Neal from comment #5)
> >+// Enables strict compatibility. To be toggled in bug 698653, to make addons
> Should we mention this bug number, our bug number or both?

Effectively the bug number will only be on Aurora, since my second patch removes it for trunk right away. And on Aurora I think it's better to have the same bug number as in the corresponding FF prefs file, from where I copied it. And once this lands, this bug's number can easily be found using hg log or MXR/blame.

[Note that I decided to fix the typo upon checkin, so the second patch won't apply cleanly anymore.]

BTW note bug 698653 comments 12 and 14:
"If you had the setting "extensions.checkCompatibility.nightly" set false, you must remove this setting for the "extensions.strictCompatibility" set false to take effect."
"Apparently, the extensions.checkCompatibility.nightly;false is inserted and set to false when the Addon Compatibility Reporter is installed or enabled."
Comment 9 Jens Hatlak (:InvisibleSmiley) 2011-11-25 16:43:52 PST
Comment on attachment 575544 [details] [diff] [review]
enable compatible-by-default [Checkin: comments 9 and 12]

http://hg.mozilla.org/comm-central/rev/3769878d4f39
Comment 10 Jens Hatlak (:InvisibleSmiley) 2011-12-12 11:57:09 PST
Comment on attachment 575544 [details] [diff] [review]
enable compatible-by-default [Checkin: comments 9 and 12]

Requesting approval since bug 698653 just landed on Aurora (cf. comments 18 and 19 over there).
Comment 11 Philip Chee 2011-12-13 01:54:41 PST
Comment on attachment 575544 [details] [diff] [review]
enable compatible-by-default [Checkin: comments 9 and 12]

a=me for comm-aurora.
Comment 12 Jens Hatlak (:InvisibleSmiley) 2011-12-13 10:16:21 PST
Comment on attachment 575544 [details] [diff] [review]
enable compatible-by-default [Checkin: comments 9 and 12]

http://hg.mozilla.org/releases/comm-aurora/rev/6f2ecdf14a0d
Comment 13 Jens Hatlak (:InvisibleSmiley) 2011-12-13 10:17:59 PST
I guess we need to add a line or two to relnotes for this feature. ;-)
Comment 14 Justin Wood (:Callek) 2011-12-23 08:48:10 PST
FYI, I'm doing Bug 711275 for our 2.7 beta's as well, so we can be sure to TEST THIS!

Note You need to log in before you can comment on or make changes to this bug.